OpenJPH: ojph::local::tile_comp Class Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::tile_comp Class Reference

`#include <ojph_tile_comp.h>`

## Public Member Functions
void | finalize_alloc (codestream *codestream, tile *parent, ui32 comp_num, const rect &comp_rect, const rect &recon_comp_rect)
ui32 | get_num_resolutions ()
ui32 | get_num_decompositions ()
tile * | get_tile ()
line_buf * | get_line ()
void | push_line ()
line_buf * | pull_line ()
ui32 | prepare_precincts ()
void | write_precincts (ui32 res_num, outfile_base *file)
bool | get_top_left_precinct (ui32 res_num, point &top_left)
void | write_one_precinct (ui32 res_num, outfile_base *file)
void | parse_precincts (ui32 res_num, ui32 &data_left, infile_base *file)
void | parse_one_precinct (ui32 res_num, ui32 &data_left, infile_base *file)
ui32 | get_num_bytes () const
ui32 | get_num_bytes (ui32 resolution_num) const

## Static Public Member Functions
static void | pre_alloc (codestream *codestream, ui32 comp_num, const rect &comp_rect, const rect &recon_comp_rect)

## Private Attributes
tile * | parent_tile
resolution * | res
rect | comp_rect
ojph::point | comp_downsamp
ui32 | num_decomps
ui32 | comp_num
ui32 | num_bytes

## Detailed Description

Definition at line 62 of file ojph_tile_comp.h.

## Member Function Documentation

## ◆ finalize_alloc()

void ojph::local::tile_comp::finalize_alloc | ( | codestream * | codestream,
|  | tile * | parent,
|  | ui32 | comp_num,
|  | const rect & | comp_rect,
|  | const rect & | recon_comp_rect )

Definition at line 70 of file ojph_tile_comp.cpp.

References comp_downsamp, comp_num, comp_rect, ojph::local::codestream::get_allocator(), ojph::local::codestream::get_coc(), ojph::local::param_siz::get_downsampling(), ojph::local::param_cod::get_num_decompositions(), ojph::local::codestream::get_siz(), num_bytes, num_decomps, parent_tile, ojph::mem_fixed_allocator::post_alloc_obj(), and res.

## ◆ get_line()

line_buf * ojph::local::tile_comp::get_line | ( |  | ) |

Definition at line 92 of file ojph_tile_comp.cpp.

References res.

## ◆ get_num_bytes() [1/2]

ui32 ojph::local::tile_comp::get_num_bytes | ( |  | ) | const
| inline

Definition at line 87 of file ojph_tile_comp.h.

References num_bytes.

## ◆ get_num_bytes() [2/2]

ui32 ojph::local::tile_comp::get_num_bytes | ( | ui32 | resolution_num | ) | const

Definition at line 195 of file ojph_tile_comp.cpp.

References res.

## ◆ get_num_decompositions()

ui32 ojph::local::tile_comp::get_num_decompositions | ( |  | ) |
| inline

Definition at line 73 of file ojph_tile_comp.h.

References num_decomps.

## ◆ get_num_resolutions()

ui32 ojph::local::tile_comp::get_num_resolutions | ( |  | ) |
| inline

Definition at line 72 of file ojph_tile_comp.h.

References num_decomps.

## ◆ get_tile()

tile * ojph::local::tile_comp::get_tile | ( |  | ) |
| inline

Definition at line 74 of file ojph_tile_comp.h.

References parent_tile.

Referenced by ojph::local::resolution::finalize_alloc().

## ◆ get_top_left_precinct()

bool ojph::local::tile_comp::get_top_left_precinct | ( | ui32 | res_num,
|  | point & | top_left )

Definition at line 132 of file ojph_tile_comp.cpp.

References ojph::local::resolution::get_top_left_precinct(), ojph::local::resolution::next_resolution(), num_decomps, and res.

## ◆ parse_one_precinct()

void ojph::local::tile_comp::parse_one_precinct | ( | ui32 | res_num,
|  | ui32 & | data_left,
|  | infile_base * | file )

Definition at line 179 of file ojph_tile_comp.cpp.

References ojph::local::resolution::next_resolution(), num_decomps, ojph::local::resolution::parse_one_precinct(), and res.

## ◆ parse_precincts()

void ojph::local::tile_comp::parse_precincts | ( | ui32 | res_num,
|  | ui32 & | data_left,
|  | infile_base * | file )

Definition at line 162 of file ojph_tile_comp.cpp.

References ojph::local::resolution::next_resolution(), num_decomps, ojph::local::resolution::parse_all_precincts(), and res.

## ◆ pre_alloc()

void ojph::local::tile_comp::pre_alloc | ( | codestream * | codestream,
|  | ui32 | comp_num,
|  | const rect & | comp_rect,
|  | const rect & | recon_comp_rect )
| static

Definition at line 54 of file ojph_tile_comp.cpp.

References comp_num, comp_rect, ojph::local::codestream::get_allocator(), ojph::local::codestream::get_coc(), ojph::local::param_cod::get_num_decompositions(), num_decomps, ojph::local::resolution::pre_alloc(), and ojph::mem_fixed_allocator::pre_alloc_obj().

Referenced by ojph::local::tile::pre_alloc().

## ◆ prepare_precincts()

ui32 ojph::local::tile_comp::prepare_precincts | ( |  | ) |

Definition at line 110 of file ojph_tile_comp.cpp.

References num_bytes, and res.

## ◆ pull_line()

line_buf * ojph::local::tile_comp::pull_line | ( |  | ) |

Definition at line 104 of file ojph_tile_comp.cpp.

References res.

## ◆ push_line()

void ojph::local::tile_comp::push_line | ( |  | ) |

Definition at line 98 of file ojph_tile_comp.cpp.

References res.

## ◆ write_one_precinct()

void ojph::local::tile_comp::write_one_precinct | ( | ui32 | res_num,
|  | outfile_base * | file )

Definition at line 148 of file ojph_tile_comp.cpp.

References ojph::local::resolution::next_resolution(), num_decomps, res, and ojph::local::resolution::write_one_precinct().

## ◆ write_precincts()

void ojph::local::tile_comp::write_precincts | ( | ui32 | res_num,
|  | outfile_base * | file )

Definition at line 117 of file ojph_tile_comp.cpp.

References ojph::local::resolution::next_resolution(), num_decomps, res, and ojph::local::resolution::write_precincts().

## Member Data Documentation

## ◆ comp_downsamp

ojph::point ojph::local::tile_comp::comp_downsamp
| private

Definition at line 94 of file ojph_tile_comp.h.

Referenced by finalize_alloc().

## ◆ comp_num

ui32 ojph::local::tile_comp::comp_num
| private

Definition at line 96 of file ojph_tile_comp.h.

Referenced by finalize_alloc(), and pre_alloc().

## ◆ comp_rect

rect ojph::local::tile_comp::comp_rect
| private

Definition at line 93 of file ojph_tile_comp.h.

Referenced by finalize_alloc(), and pre_alloc().

## ◆ num_bytes

ui32 ojph::local::tile_comp::num_bytes
| private

Definition at line 97 of file ojph_tile_comp.h.

Referenced by finalize_alloc(), get_num_bytes(), and prepare_precincts().

## ◆ num_decomps

ui32 ojph::local::tile_comp::num_decomps
| private

Definition at line 95 of file ojph_tile_comp.h.

Referenced by finalize_alloc(), get_num_decompositions(), get_num_resolutions(), get_top_left_precinct(), parse_one_precinct(), parse_precincts(), pre_alloc(), write_one_precinct(), and write_precincts().

## ◆ parent_tile

tile* ojph::local::tile_comp::parent_tile
| private

Definition at line 91 of file ojph_tile_comp.h.

Referenced by finalize_alloc(), and get_tile().

## ◆ res

resolution* ojph::local::tile_comp::res
| private

Definition at line 92 of file ojph_tile_comp.h.

Referenced by finalize_alloc(), get_line(), get_num_bytes(), get_top_left_precinct(), parse_one_precinct(), parse_precincts(), prepare_precincts(), pull_line(), push_line(), write_one_precinct(), and write_precincts().

The documentation for this class was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/codestream/ojph_tile_comp.h
- /build/openjph/src/OpenJPH/src/core/codestream/ojph_tile_comp.cpp